<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>org.apache.sandesha2</groupId>
    <artifactId>sandesha2-parent</artifactId>
    <packaging>pom</packaging>
    <description>
        Sandesha2 is an implementation of WS-ReliableMessaging specifications for Apache Axis2. By using Sandesha2 you
        can add reliable messaging capability to the Web services you have hosted in Axis2. You can also use Sandesha2
        with Axis2 client to interact with already hosted web services in a reliable manner. Please see Sandesha2 user
        guide for more information on using Sandesha2. Read Sandesha2 Architecture guide to see how Sandesha2 works
        internally.
    </description>
    <version>1.294</version>
    <name>Apache Sandesha</name>
    <url>http://ws.apache.org/ws-fx/sandesha/sandesha2</url>

    <licenses>
        <license>
            <name>Apache License Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0</url>
        </license>
    </licenses>

    <organization>
        <name>Apache Software Foundation</name>
        <url>http://www.apache.org</url>
    </organization>

    <issueManagement>
        <system>JIRA</system>
        <url>http://issues.apache.org/jira/browse/SANDESHA2</url>
    </issueManagement>

    <mailingLists>
        <mailingList>
            <name>Sandesha Developer List</name>
            <subscribe>sandesha-dev-subscribe@ws.apache.org</subscribe>
            <unsubscribe>sandesha-dev-unsubscribe@ws.apache.org</unsubscribe>
            <archive/>
        </mailingList>
    </mailingLists>
    <inceptionYear>2005</inceptionYear>

    <developers>
        <developer>
            <name>Chamikara Jayalath</name>
            <id>chamikara</id>
            <email>chamikaramj AT gmail.com</email>
            <organization>WSO2</organization>
        </developer>
        <developer>
            <name>Davanum Srinivas</name>
            <id>dims</id>
            <email>dims AT wso2.com</email>
            <organization>WSO2</organization>
        </developer>
        <developer>
            <name>Jaliya Ekanayake</name>
            <id>jaliya</id>
            <email>jaliya AT opensource.lk</email>
            <organization>Indiana University, USA</organization>
            <url>http://www.apache.org/~jaliya</url>
        </developer>
        <developer>
            <name>Sanjiva Weerawarana</name>
            <id>sanjiva</id>
            <email>sanjiva AT wso2.com</email>
            <organization>WSO2</organization>
        </developer>
        <developer>
            <name>Sanka Samaranayaka</name>
            <id>sanka</id>
            <email>ssanka AT gmail.com</email>
            <organization>WSO2</organization>
        </developer>
        <developer>
            <name>Andrew K Gatford</name>
            <id>gatfora</id>
            <email>GATFORA AT uk.ibm.com</email>
            <organization>IBM</organization>
        </developer>
        <developer>
            <name>Thomas McKiernan</name>
            <id>mckierna</id>
            <email>MCKIERNA AT uk.ibm.com</email>
            <organization>IBM</organization>
        </developer>
        <developer>
            <name>Matt Lovett</name>
            <id>mlovett</id>
            <email>MLOVETT AT uk.ibm.com</email>
            <organization>IBM</organization>
        </developer>
    </developers>

    <build>
        <plugins>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.0</version>
                <configuration>
                    <source>1.4</source>
                    <target>1.4</target>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.2</version>
            </plugin>
        </plugins>
    </build>

    <scm>
        <connection>scm:svn:http://svn.apache.org/repos/asf/webservices/sandesha/trunk/java/</connection>
        <developerConnection>scm:svn:https://svn.apache.org/repos/asf/webservices/sandesha/trunk/java/
        </developerConnection>
        <url>http://svn.apache.org/repos/asf/webservices/sandesha/trunk</url>
    </scm>

    <repositories>
        <repository>
            <releases>
                <enabled>false</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
                <checksumPolicy>fail</checksumPolicy>
            </snapshots>
            <id>apache-snapshots</id>
            <name>Apache Maven2 SNAPSHOTS</name>
            <url>http://people.apache.org/repo/m2-snapshot-repository</url>
            <layout>default</layout>
        </repository>
        <repository>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
                <checksumPolicy>fail</checksumPolicy>
            </snapshots>
            <id>axis2-final-rc-repo</id>
            <name>Axis2 1.3 Final Release Candidate Repo</name>
            <url>http://people.apache.org/~deepal/axis2/1.3-take3/m2-repo/</url>
            <layout>default</layout>
        </repository>
        <repository>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>always</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
                <checksumPolicy>warn</checksumPolicy>
            </snapshots>
            <id>apache-ws-snapshots2</id>
            <name>Apache ws.zones - 2</name>
            <url>http://ws.zones.apache.org/repository2</url>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>snapshot-apache</id>
            <name>Apache Snapshot repository</name>
            <url>http://people.apache.org/repo/m2-snapshot-repository</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>false</enabled>
            </releases>
        </pluginRepository>

        <pluginRepository>
            <id>snapshot-apache-axis2-rc</id>
            <name>Axis2 1.3 Final RC Repo</name>
            <url>http://people.apache.org/~deepal/axis2/1.3-take3/m2-repo/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
            </releases>
        </pluginRepository>

        <pluginRepository>
            <id>snapshot</id>
            <name>Snapshot repository</name>
            <url>http://snapshots.maven.codehaus.org/maven2</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>false</enabled>
            </releases>
        </pluginRepository>

    </pluginRepositories>

    <dependencies>

        <dependency>
            <groupId>org.apache.ws.commons.axiom</groupId>
            <artifactId>axiom-api</artifactId>
            <version>${axiom.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.ws.commons.axiom</groupId>
            <artifactId>axiom-impl</artifactId>
            <version>${axiom.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.ws.commons.axiom</groupId>
            <artifactId>axiom-dom</artifactId>
            <version>${axiom.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.neethi</groupId>
            <artifactId>neethi</artifactId>
            <version>${neethi.version}</version>
        </dependency>

        <dependency>
            <groupId>commons-logging</groupId>
            <artifactId>commons-logging</artifactId>
            <version>${commons.logging.version}</version>
        </dependency>

        <dependency>
            <groupId>${stax.impl.groupid}</groupId>
            <artifactId>${stax.impl.artifactid}</artifactId>
            <version>${stax.impl.version}</version>
        </dependency>

        <dependency>
            <groupId>stax</groupId>
            <artifactId>stax-api</artifactId>
            <version>${stax.api.version}</version>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>3.8.2</version>
            <scope>test</scope>
        </dependency>
        
        <!-- Axis2 -->
        <dependency>
            <groupId>org.apache.axis2</groupId>
            <artifactId>axis2-kernel</artifactId>
            <version>${axis2.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.axis2</groupId>
            <artifactId>axis2-codegen</artifactId>
            <version>${axis2.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.axis2</groupId>
            <artifactId>addressing</artifactId>
            <version>${axis2.version}</version>
            <type>mar</type>
        </dependency>

        <dependency>
            <groupId>org.apache.axis2</groupId>
            <artifactId>axis2-mtompolicy</artifactId>
            <version>${axis2.version}</version>
        </dependency>

    </dependencies>

    <modules>
        <module>modules/core</module>
        <module>modules/mar</module>
        <module>modules/client</module>
        <module>modules/policy</module>
        <module>modules/rampart-integration</module>
        <module>modules/tests</module>
        <module>modules/samples</module>
        <module>modules/interop</module>
        <module>modules/distribution</module>
    </modules>

    <properties>

        <sandesha2.version>1.294</sandesha2.version>
        <axis2.version>1.3</axis2.version>
        <axiom.version>1.2.5</axiom.version>
        <neethi.version>2.0.2</neethi.version>
        <commons.logging.version>1.1</commons.logging.version>
        <stax.api.version>1.0.1</stax.api.version>
        <stax.impl.artifactid>wstx-asl</stax.impl.artifactid>
        <stax.impl.groupid>org.codehaus.woodstox</stax.impl.groupid>
        <stax.impl.version>3.2.1</stax.impl.version>
        <geronimo.spec.activation.version>1.0-M1</geronimo.spec.activation.version>
        <geronimo.spec.javamail.version>1.0-M1</geronimo.spec.javamail.version>
        <junit.version>3.8.2</junit.version>        
	<rampart.version>1.3</rampart.version>
	<wsdl4j.version>1.6.2</wsdl4j.version>
	<wss4j.version>1.5.3</wss4j.version>
	<test.property>2.8.1</test.property>
    </properties>

    <distributionManagement>
        <repository>
            <id>wso2-maven2-repository</id>
            <name>WSO2 Maven2 Repository</name>
            <url>scp://dist.wso2.org/home/httpd/dist.wso2.org/maven2/</url>
        </repository>
        <snapshotRepository>
            <id>wso2-maven2-snapshot-repository</id>
            <name>WSO2 Maven2 Repository</name>
            <url>scp://dist.wso2.org/home/httpd/dist.wso2.org/maven2/</url>
        </snapshotRepository>
    </distributionManagement>

</project>
